#ifndef FTK_AUX_SPY_REGS_H
#define FTK_AUX_SPY_REGS_H


#include <vector>
#include <sstream>


namespace daq 
{
  namespace ftk 
  {

    // full events
    const std::vector<u_int> aux_i1_SB_hits_to_proc  = {0x11, 0x12, 0x13, 0x14, 0x15, 0x16, 0x17, 0x18};
    const std::vector<u_int> aux_i1_SB_ssids_to_amb  = {0x09, 0x0a, 0x0b, 0x0c, 0x0d, 0x0e, 0x0f, 0x10};
    const std::vector<u_int> aux_i2_SB_TF_out        = {0x12, 0x13, 0x14, 0x15};
    const std::vector<u_int> aux_i2_SB_HW_in_out     = {0x09, 0x12, 0x13, 0x14, 0x15};
    const std::vector<u_int> aux_i2_SB_hits_to_proc  = {0x0e, 0x0f, 0x10, 0x11};
    const std::vector<u_int> aux_i2_SB_ssids_to_amb  = {0x0a, 0x0b, 0x0c, 0x0d};
    const std::vector<u_int> aux_i2_per_event  	     = {0x16, 0x17};

    const std::vector<u_int> aux_i1_SB_ssmap_hits    = {0x01, 0x02, 0x03, 0x04};
    const std::vector<u_int> aux_i2_SB_ssmap_hits    = {0x01, 0x02, 0x03, 0x04};

    const std::vector<u_int> aux_proc_SB_TF_inputs   = {0x24, 0x25, 0x26, 0x27, 0x28, 0x29, 0x2a, 0x2b, 0x2c};
    const std::vector<u_int> aux_proc_SB_DO_output   = {0x33, 0x34, 0x35, 0x36, 0x37, 0x38, 0x39, 0x3a, 0x3b, 0x3c, 0x3d, 0x3e, 0x3f};
    const std::vector<u_int> aux_proc_SB_DO_roads    = {0x3e, 0x3f, 0x40, 0x44, 0x45, 0x46, 0x47, 0x5b};
    
    const std::vector<u_int> aux_proc_latency        = {0x5a};
    const std::vector<u_int> aux_i1_latency          = {0x33};
    const std::vector<u_int> aux_i2_latency          = {0x36, 0x37, 0x38};

    // partial
    const std::vector<u_int> aux_proc_SB_hits_in     = {0x1b, 0x1c, 0x1d, 0x1e, 0x1f, 0x20, 0x16, 0x17, 0x18, 0x19, 0x1a};
    const std::vector<u_int> aux_proc_SB_TF_out      = {0x41};
    
    //for emon 
    const std::vector<u_int> aux_i1_all              = {0x01, 0x02, 0x03, 0x04, 0x09, 0x0a, 0x0b, 0x0c, 0x0d, 0x0e, 0x0f, 0x10, 0x11, 0x12, 0x13, 0x14, 0x15, 0x16, 0x17, 0x18}; //0-19
    const std::vector<u_int> aux_i2_all              = {0x01, 0x02, 0x03, 0x04, 0x0a, 0x0b, 0x0c, 0x0d, 0x0e, 0x0f, 0x10, 0x11, 0x09, 0x12, 0x13, 0x14, 0x15}; //20-36
    const std::vector<u_int> aux_proc_all            = {0x1b, 0x1c, 0x1d, 0x1e, 0x1f, 0x20, 0x16, 0x17, 0x18, 0x19, 0x1a, 0x24, 0x25, 0x26, 0x27, 0x28, 0x29, 0x2a, 0x2b, 0x2c, 0x33, 0x34, 0x35, 0x36, 0x37, 0x38, 0x39, 0x3a, 0x3b, 0x3c, 0x3d, 0x3e, 0x3f, 0x40, 0x44, 0x45, 0x46, 0x47, 0x5b, 0x41}; //37-76 


  }
}


#endif
